Bug 1147337 - AttributeError: 'NoneType' object has no attribute 'destroy'
Summary: AttributeError: 'NoneType' object has no attribute 'destroy'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3c2c8edc04d9edb48a84193dc51...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-29 04:16 UTC by Alexandre Rosenfeld
Modified: 2014-10-20 23:01 UTC (History)
4 users (show)

Fixed In Version: anaconda-21.48.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 23:01:54 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (572.76 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: anaconda.log (13.63 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: environ (615 bytes, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: journalctl (275.93 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: lsblk_output (3.42 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: nmcli_dev_list (1.94 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: os_info (377 bytes, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: program.log (46.35 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: storage.log (184.24 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details
File: ifcfg.log (6.19 KB, text/plain)
2014-09-29 04:17 UTC, Alexandre Rosenfeld
no flags Details

Description Alexandre Rosenfeld 2014-09-29 04:16:35 UTC
Description of problem:
I started Fedora 21 Alpha installation, went to change keyboard layouts, added a new one then tried to remove the English layout. I'm using a touch-screen enabled notebook and the touch is not working very well in the installation, thus I've clicked the remove a few times until it finally crashed the installation.

Version-Release number of selected component:
anaconda-core-21.48.6-1.fc21.x86_64

The following was filed automatically by anaconda:
anaconda 21.48.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 396, in lightbox_off
    self._overlay_img.destroy()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 414, in enlightbox
    self.lightbox_off()
  File "/usr/lib64/python2.7/contextlib.py", line 24, in __exit__
    self.gen.next()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 429, in on_add_clicked
    response = self._add_dialog.run()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/utils.py", line 44, in wrap
    func(*args)
AttributeError: 'NoneType' object has no attribute 'destroy'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Workstation-x86_64-2 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.16.1-301.fc21.x86_64
other involved packages: python-libs-2.7.8-4.1.fc21.x86_64, anaconda-gui-21.48.6-1.fc21.x86_64
product:        Fedora
release:        Fedora release 21 (Twenty One)
type:           anaconda
version:        21

Comment 1 Alexandre Rosenfeld 2014-09-29 04:17:00 UTC
Created attachment 942136 [details]
File: anaconda-tb

Comment 2 Alexandre Rosenfeld 2014-09-29 04:17:02 UTC
Created attachment 942137 [details]
File: anaconda.log

Comment 3 Alexandre Rosenfeld 2014-09-29 04:17:04 UTC
Created attachment 942138 [details]
File: environ

Comment 4 Alexandre Rosenfeld 2014-09-29 04:17:16 UTC
Created attachment 942139 [details]
File: journalctl

Comment 5 Alexandre Rosenfeld 2014-09-29 04:17:18 UTC
Created attachment 942140 [details]
File: lsblk_output

Comment 6 Alexandre Rosenfeld 2014-09-29 04:17:20 UTC
Created attachment 942141 [details]
File: nmcli_dev_list

Comment 7 Alexandre Rosenfeld 2014-09-29 04:17:22 UTC
Created attachment 942142 [details]
File: os_info

Comment 8 Alexandre Rosenfeld 2014-09-29 04:17:25 UTC
Created attachment 942143 [details]
File: program.log

Comment 9 Alexandre Rosenfeld 2014-09-29 04:17:33 UTC
Created attachment 942144 [details]
File: storage.log

Comment 10 Alexandre Rosenfeld 2014-09-29 04:17:35 UTC
Created attachment 942145 [details]
File: ifcfg.log

Comment 11 Fedora Update System 2014-10-15 13:07:48 UTC
anaconda-21.48.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.10-1.fc21

Comment 12 Fedora Update System 2014-10-16 17:18:33 UTC
Package anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.10-1.fc21 pykickstart-1.99.63-2.fc21 python-blivet-0.61.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12944/pykickstart-1.99.63-2.fc21,python-blivet-0.61.5-1.fc21,anaconda-21.48.10-1.fc21
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2014-10-20 23:01:54 UTC
anaconda-21.48.10-1.fc21, pykickstart-1.99.63-2.fc21, python-blivet-0.61.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.